Bug 239329 - net-mgmt/openbmp: fix build with GCC architectures
Summary: net-mgmt/openbmp: fix build with GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-20 08:56 UTC by Piotr Kubaj
Modified: 2019-07-30 12:17 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+


Attachments
patch (821 bytes, patch)
2019-07-20 08:56 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-20 08:56:42 UTC
Created attachment 205919 [details]
patch

Building with GCC requires include sys/types.h in Server/src/Logger.h.

/wrkdirs/usr/ports/net-mgmt/openbmp/work/openbmp-0.14.0/Server/src/Logger.h:99:27: error: 'u_char' has not been declared
     void setWidthFunction(u_char width);
                           ^~~~~~
Comment 1 Luca Pizzamiglio freebsd_committer 2019-07-22 08:44:46 UTC
thanks for the patch.
feel free to commit it!
Comment 2 commit-hook freebsd_committer 2019-07-30 12:16:39 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Jul 30 12:16:24 UTC 2019
New revision: 507636
URL: https://svnweb.freebsd.org/changeset/ports/507636

Log:
  net-mgmt/openbmp: fix build with GCC architectures

  Building with GCC requires include sys/types.h in Server/src/Logger.h.

  /wrkdirs/usr/ports/net-mgmt/openbmp/work/openbmp-0.14.0/Server/src/Logger.h:99:27: error: 'u_char' has not been declared
       void setWidthFunction(u_char width);

  PR:		239329
  Approved by:	pizzamig (maintainer), linimon (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21026

Changes:
  head/net-mgmt/openbmp/files/patch-Server_src_Logger.h